'==========================================================================
' NAME: Advanced Song Repeat v1.1.0.1
'
' AUTHOR: Peke
' DATE  : 14.01.2009
'==========================================================================

'Dim SDB
'Set SDB = CreateObject("SongsDB.SDBApplication")

Sub OnStartup
  SDB.IniFile.IntValue("AdvRepeat","IcoEnabled") = SDB.RegisterIcon(SDB.ApplicationPath&"\Scripts\Auto\AdvRepeatEnabled.ico",0)
  SDB.IniFile.IntValue("AdvRepeat","IcoDisabled") = SDB.RegisterIcon(SDB.ApplicationPath&"\Scripts\Auto\AdvRepeatDisabled.ico",0)
  SDB.IniFile.BoolValue("AdvRepeat","Enabled") = False
  Set AdvRepeatButton = SDB.UI.AddMenuItem(SDB.UI.Menu_TbStandard,0,0)
  SDB.Objects("AdvRepeatButton") = AdvRepeatButton
  AdvRepeatButton.Caption = "Advanced Repeat"
  AdvRepeatButton.OnClickFunc = "AdvRepeatONOFF"
  AdvRepeatButton.UseScript = Script.ScriptPath
  AdvRepeatButton.Hint = "Repeat Current Song"
  AdvRepeatButton.IconIndex = SDB.IniFile.IntValue("AdvRepeat","IcoDisabled")
End Sub

Sub AdvRepeatONOFF(arg)
  If SDB.IniFile.BoolValue("AdvRepeat","Enabled") Then
    SDB.IniFile.BoolValue("AdvRepeat","Enabled") = False
    arg.Hint = "Do not Repeat Current Song"
    arg.IconIndex = SDB.IniFile.IntValue("AdvRepeat","IcoDisabled")
  Else
    SDB.IniFile.BoolValue("AdvRepeat","Enabled") = True
    arg.Hint = "Repeat Current Song"
    arg.IconIndex = SDB.IniFile.IntValue("AdvRepeat","IcoEnabled")
  End If
End Sub